%define version 0.3.5
%define release %mkrel 11
%define name wmwebcam
%define title WmWebcam 

Summary:    Watch your own webcam in a small dockapp window
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Source1:    %{name}.16x16.png.bz2
Source2:    %{name}.32x32.png.bz2
Source3:    %{name}.48x48.png.bz2
URL:		http://fragment.stc.cx/?abd
BuildRequires:	libxdmcp-devel
BuildRequires:	libxau-devel
Buildrequires:	libxpm-devel
Buildrequires:	libjpeg-devel
Buildrequires:	libx11-devel
Buildrequires:	libxext-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is for watching your webcam which has a video4linux driver in your
windowmakers dock..
This is actually just a edited version of vidcat (from w3cam's package)
Default jpeg output file is /tmp/wmwebcam.jpg and default quality is 100%,
change the default values if necessary from the source code.
Also remember to check the wmwebcam.pl and edit it

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
 
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 {wmwebcam,wmwebcam.pl} $RPM_BUILD_ROOT%{_bindir}

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=%{title}
Comment=Watch your own webcam in a small dockapp window
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;TV;Tuner;
EOF


%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}

%files
%defattr (-,root,root)
%doc README Changelog COPYING
%{_bindir}/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-11mdv2009.0
+ Revision: 262097
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-10mdv2009.0
+ Revision: 256277
- rebuild
- fix spacing at top of description
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-8mdv2008.1
+ Revision: 129435
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Feb 06 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.3.5-8mdv2007.0
+ Revision: 116918
- fixed .desktop file Comment

* Wed Jan 31 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.3.5-7mdv2007.1
+ Revision: 115629
- added missing BuildRequires
- fixed and stripped BuildRequires to minimum
- stopped using old "X prefix"
- added XDG menu for great compliance
- fixed menu section of old menu

* Tue Dec 05 2006 Lenny Cartier <lenny@mandriva.com> 0.3.5-6mdk
- rebuild

* Thu Jul 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-5mdk
- rebuild

